
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.ardaivona.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.material.FlowingFluid;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

import net.mcreator.ardaivona.fluid.PitcherAcidFluid;
import net.mcreator.ardaivona.ArdaivonaMod;

public class ArdaivonaModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(ForgeRegistries.FLUIDS, ArdaivonaMod.MODID);
	public static final RegistryObject<FlowingFluid> PITCHER_ACID = REGISTRY.register("pitcher_acid", () -> new PitcherAcidFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_PITCHER_ACID = REGISTRY.register("flowing_pitcher_acid", () -> new PitcherAcidFluid.Flowing());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class FluidsClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(PITCHER_ACID.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_PITCHER_ACID.get(), RenderType.translucent());
		}
	}
}
