
package net.mcreator.ardaivona.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.ardaivona.init.ArdaivonaModItems;

public class ApexBladeItem extends SwordItem {
	public ApexBladeItem() {
		super(new Tier() {
			public int getUses() {
				return 500;
			}

			public float getSpeed() {
				return 6f;
			}

			public float getAttackDamageBonus() {
				return 9f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 10;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(ArdaivonaModItems.OMINOUS_SCALE.get()), new ItemStack(ArdaivonaModItems.INFUSED_GYRONIUM.get()));
			}
		}, 3, -2.5f, new Item.Properties());
	}
}
