
package net.mcreator.ardaivona.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;

import net.mcreator.ardaivona.init.ArdaivonaModItems;

public class BreuthaniumAxeItem extends AxeItem {
	public BreuthaniumAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 361;
			}

			public float getSpeed() {
				return 7f;
			}

			public float getAttackDamageBonus() {
				return 6.5f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 18;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(ArdaivonaModItems.BREUTHANIUM_INGOT.get()));
			}
		}, 1, -1.5f, new Item.Properties());
	}
}
