
package net.mcreator.ardaivona.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.ardaivona.init.ArdaivonaModItems;

public class GyroniumKopeshItem extends SwordItem {
	public GyroniumKopeshItem() {
		super(new Tier() {
			public int getUses() {
				return 100;
			}

			public float getSpeed() {
				return 4f;
			}

			public float getAttackDamageBonus() {
				return 2.5f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 5;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(ArdaivonaModItems.GYRONIUM.get()));
			}
		}, 3, -2.5f, new Item.Properties());
	}
}
