
package net.mcreator.ardaivona.block;

import net.minecraft.world.level.material.PushReaction;
import net.minecraft.world.level.material.MapColor;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.world.level.Level;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.BlockPos;

import net.mcreator.ardaivona.procedures.PitcherAcidMobplayerCollidesBlockProcedure;
import net.mcreator.ardaivona.init.ArdaivonaModFluids;

public class PitcherAcidBlock extends LiquidBlock {
	public PitcherAcidBlock() {
		super(() -> ArdaivonaModFluids.PITCHER_ACID.get(), BlockBehaviour.Properties.of().mapColor(MapColor.WATER).strength(100f).noCollission().noLootTable().liquid().pushReaction(PushReaction.DESTROY).sound(SoundType.EMPTY).replaceable());
	}

	@Override
	public void entityInside(BlockState blockstate, Level world, BlockPos pos, Entity entity) {
		super.entityInside(blockstate, world, pos, entity);
		PitcherAcidMobplayerCollidesBlockProcedure.execute(world, entity);
	}
}
