
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.ardaivona.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.ardaivona.ArdaivonaMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class ArdaivonaModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, ArdaivonaMod.MODID);
	public static final RegistryObject<CreativeModeTab> ARDAIVONA_ITEMS = REGISTRY.register("ardaivona_items",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.ardaivona.ardaivona_items")).icon(() -> new ItemStack(ArdaivonaModItems.RAW_ALKZARA_CHUNK.get())).displayItems((parameters, tabData) -> {
				tabData.accept(ArdaivonaModItems.INTERPLANETARY_SWITCH.get());
				tabData.accept(ArdaivonaModItems.GYRONIUM.get());
				tabData.accept(ArdaivonaModItems.RAW_FLOWERHEAD.get());
				tabData.accept(ArdaivonaModItems.COOKED_FLOWERHEAD.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_PICKAXE.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_AXE.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_SWORD.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_SHOVEL.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_HOE.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_ARMOR_HELMET.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_ARMOR_CHESTPLATE.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_ARMOR_LEGGINGS.get());
				tabData.accept(ArdaivonaModItems.AFRODITIUM_ARMOR_BOOTS.get());
				tabData.accept(ArdaivonaModItems.INFUSED_GYRONIUM.get());
				tabData.accept(ArdaivonaModItems.OMINOUS_SCALE.get());
				tabData.accept(ArdaivonaModItems.AVALYDIOS_BLADE.get());
				tabData.accept(ArdaivonaModItems.RAW_ALKZARA_CHUNK.get());
				tabData.accept(ArdaivonaModItems.COOKED_ALKZARA_CHUNK.get());
				tabData.accept(ArdaivonaModItems.RAW_MOONFISH.get());
				tabData.accept(ArdaivonaModItems.RAW_CORALIDON.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_INGOT.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_PICKAXE.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_AXE.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_SWORD.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_SHOVEL.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_HOE.get());
				tabData.accept(ArdaivonaModItems.POISON_FANG.get());
				tabData.accept(ArdaivonaModItems.PLANETARY_SHARD.get());
				tabData.accept(ArdaivonaModItems.GYRONIUM_KOPESH.get());
				tabData.accept(ArdaivonaModItems.ALIEN_SALAD.get());
				tabData.accept(ArdaivonaModItems.ARDAIVONA_GUIDEBOOK.get());
				tabData.accept(ArdaivonaModItems.PEARL.get());
				tabData.accept(ArdaivonaModItems.ORB_OF_THE_SEA.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_ARMOR_HELMET.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_ARMOR_CHESTPLATE.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_ARMOR_LEGGINGS.get());
				tabData.accept(ArdaivonaModItems.BREUTHANIUM_ARMOR_BOOTS.get());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> ARDAIVONA_FAUNA = REGISTRY.register("ardaivona_fauna",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.ardaivona.ardaivona_fauna")).icon(() -> new ItemStack(ArdaivonaModItems.RAW_CORALIDON.get())).displayItems((parameters, tabData) -> {
				tabData.accept(ArdaivonaModItems.FERNODUS_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.FLOWERHEAD_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.ALKZARA_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.LAICHREKK_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.VENDENNOS_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.ZEDFLY_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.ARZKORAPTOR_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.ORETONO_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.AGNESTEUS_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.MOONFISH_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.VARAWYRM_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.BERGSTERRA_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.CORALIDON_ENTITY_SPAWN_EGG.get());
				tabData.accept(ArdaivonaModItems.SKYSKATER_SPAWN_EGG.get());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> ARDAIVONA_BLOCKS = REGISTRY.register("ardaivona_blocks",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.ardaivona.ardaivona_blocks")).icon(() -> new ItemStack(ArdaivonaModItems.INTERPLANETARY_SWITCH.get())).displayItems((parameters, tabData) -> {
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_WOOD.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_LOG.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_PLANKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_LEAVES.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_STAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_SLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_FENCE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_FENCE_GATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_PRESSURE_PLATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_BUTTON.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARDAIVONANGRASSBLOCK.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARDAIVONAN_DIRT.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARDAIVONANGRASS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SEIVANOSK_SAPLING.get().asItem());
				tabData.accept(ArdaivonaModBlocks.GYRONIUM_ORE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.GYRONIUM_BLOCK.get().asItem());
				tabData.accept(ArdaivonaModBlocks.AFRODITIUM_ORE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.AFRODITIUM_BLOCK.get().asItem());
				tabData.accept(ArdaivonaModBlocks.STALK_PALM.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_WOOD.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_LOG.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_PLANKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_LEAVES.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_STAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_SLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_FENCE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_FENCE_GATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_PRESSURE_PLATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.FERDON_BUTTON.get().asItem());
				tabData.accept(ArdaivonaModBlocks.CONIFERNION.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BREUTHANIUM_ORE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BREUTHANIUM_BLOCK.get().asItem());
				tabData.accept(ArdaivonaModBlocks.LIMESTONE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.RAEDSTILT.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_WOOD.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_LOG.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_PLANKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_LEAVES.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_STAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_SLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_FENCE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_FENCE_GATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_PRESSURE_PLATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_BUTTON.get().asItem());
				tabData.accept(ArdaivonaModBlocks.TALL_ARDAIVONAN_GRASS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTAL_ADVEROOT_SAPLING.get().asItem());
				tabData.accept(ArdaivonaModBlocks.LIMESTONE_BRICKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.LIMESTONE_BRICK_WALL.get().asItem());
				tabData.accept(ArdaivonaModBlocks.LIMESTONE_BRICK_SLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.LIMESTONE_BRICK_STAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.CHISELED_LIMESTONE_BRICKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COAL_LIMESTONE_ORE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.INFERNOSTONE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_WOOD.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_LOG.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_PLANKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_STAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_SLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_FENCE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_FENCE_GATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_PRESSURE_PLATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BURNED_WOOD_BUTTON.get().asItem());
				tabData.accept(ArdaivonaModBlocks.SERENISHROOM.get().asItem());
				tabData.accept(ArdaivonaModBlocks.PARAPHYE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.CHROMEBULB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.CLAM_SCALES.get().asItem());
				tabData.accept(ArdaivonaModBlocks.BLOCK_OF_PEARL.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONEWALL.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE_SLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE_STAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE_PRESSURE_PLATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE_BUTTON.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE_BRICKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE_BRICKWALL.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONE_BRICKSLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.COASTSTONEBRICKSTAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.CHISELED_COASTSTONE_BRICKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_WOOD.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_LOG.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_PLANKS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_LEAVES.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_STAIRS.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_SLAB.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_FENCE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_FENCE_GATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_PRESSURE_PLATE.get().asItem());
				tabData.accept(ArdaivonaModBlocks.ARIAROOT_BUTTON.get().asItem());
				tabData.accept(ArdaivonaModBlocks.PRIMAL_SAND.get().asItem());
			})

					.build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {

			tabData.accept(ArdaivonaModBlocks.AQUILIRITE_ORE.get().asItem());
			tabData.accept(ArdaivonaModBlocks.AQUILIRITE_BLOCK.get().asItem());

		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {

			tabData.accept(ArdaivonaModItems.AQUILIRITE_SWORD.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_ARMOR_HELMET.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_ARMOR_CHESTPLATE.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_ARMOR_LEGGINGS.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_ARMOR_BOOTS.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {

			tabData.accept(ArdaivonaModItems.AQUILIRITE_INGOT.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {

			tabData.accept(ArdaivonaModItems.PITCHER_ACID_BUCKET.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_PICKAXE.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_AXE.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_SHOVEL.get());
			tabData.accept(ArdaivonaModItems.AQUILIRITE_HOE.get());

		}
	}
}
